Переполнение буфера в Xsupplicant

Дата публикации:
30.10.2006
Всего просмотров:
1412
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-5601
CVE-2006-5602
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Xsupplicant 1.x
Уязвимые версии: Xsupplicant версии до 1.2.8.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "eap_do_notify()". Удаленный пользователь может послать приложению специально сформированный EAP пакет, вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: open1x.sourceforge.net

Решение: Установите последнюю версию (1.2.8) с сайта производителя.

или введите имя

CAPTCHA